require 'rails_helper'

RSpec.describe "settings/accounts/edit", type: :view do
  before(:each) do
    @settings_account = assign(:settings_account, Settings::Account.create!(
      :title => "MyString",
      :account_type => "MyString"
    ))
  end

  it "renders the edit settings_account form" do
    render

    assert_select "form[action=?][method=?]", settings_account_path(@settings_account), "post" do

      assert_select "input[name=?]", "settings_account[title]"

      assert_select "input[name=?]", "settings_account[account_type]"
    end
  end
end
